Domain Setup
Get Domain UUID
Retrieve the UUID for a specific domain by providing the domain name and protocol type
POST
Retrieve the UUID for a specific domain by providing the domain name and protocol type.
Example request
Request body
| Field | Type | Required | Description |
|---|---|---|---|
domain_name | string | Yes | Domain name to look up (e.g., “api.hookpulse.io”) |
protocol_type | string | Yes | Protocol type for the domain (e.g., “https”, “http”) |
Example response
Response fields
| Field | Type | Description |
|---|---|---|
success | boolean | Indicates if the request was successful |
domain_uuid | string | Unique identifier for the domain |
Authorizations
API key for authentication. Get this from your dashboard by selecting a brand and going to API Keys section.
Brand UUID for authentication. Get this from your dashboard after adding a brand - it will be displayed in the UI.
Body
application/json
Domain lookup request

